Subject: bug#2147: Default font in Emacs

From: Herbert Euler <[email-masked]>
Date: Mon, 2 Feb 2009 11:06:35 +0800

Package: Emacs
Version: 23.0.90.1
 
Because I prefer the FreeMono font to the default font provided, I
tweak it in my ~/.emacs like this:
 
  (let ((font (cond ((eq window-system 'w32)
                      "-outline-courier new-normal-r-normal-normal-16-120-96-96-c-*-fontset-auto2"
                     )
                     ((eq window-system 'x)
                      "FreeMono-13"
                     ))))
    (set-default-font font)
    (add-to-list 'default-frame-alist `(font . ,font)))
 
When I start emacs as a daemon:
 
  $ emacs --daemon
 
The cons cell added to `default-frame-alist' seems to be '(font
. nil). This causes a segfault when running `emacsclient -c':
 
  Program received signal SIGSEGV, Segmentation fault.
  [Switching to Thread 0xb700f700 (LWP 28215)]
  0x0806f438 in estimate_mode_line_height (f=0xa832b38, face_id=MODE_LINE_INACTIVE_FACE_ID) at xdisp.c:1646
  1646 int height = FONT_HEIGHT (FRAME_FONT (f));
  (gdb) p FRAME_FONT (f)
  $1 = (struct font *) 0x0
_________________________________________________________________
Drag n’ drop—Get easy photo sharing with Windows Live™ Photos.

http://www.microsoft.com/windows/windowslive/photos.aspx